diff debian/dropbear.postinst @ 470:271887c81c07

merge of '9879f7138f243bb2077a06e4c9ea925fa34abe2b' and 'e28650f207028a45182fc2de545b7bd218d13077'
author Matt Johnston <matt@ucc.asn.au>
date Thu, 27 Mar 2008 10:19:36 +0000
parents 8c2d2edadf2a
children 7fc4ba3c1cbb
line wrap: on
line diff
--- a/debian/dropbear.postinst	Sat Mar 01 02:01:35 2008 +0000
+++ b/debian/dropbear.postinst	Thu Mar 27 10:19:36 2008 +0000
@@ -69,3 +69,11 @@
     /etc/init.d/dropbear restart
   fi
 fi
+
+if test -n "$2" && dpkg --compare-versions "$2" lt '0.50-4' &&
+update-service --check dropbear; then
+  update-service --remove /etc/dropbear 2>/dev/null || :
+  sleep 6
+  rm -rf /var/run/dropbear /var/run/dropbear.log
+  update-service --add /etc/dropbear || :
+fi